//
// pertelian.h
//
// definitions and function prototypes for the API
//
#include <stdio.h>
#include <unistd.h>

#if !defined PERTELIAN_H
#define PERTELIAN_H

// the mysterious command character to toggle the instruction line
#define COMMAND 0xfe 

// for use with the backlight() function
#define BACKLIGHT_OFF 0
#define BACKLIGHT_ON 1

// it's not a file, dammit, it's a device!
typedef FILE DEVICE;

// prototypes.  See pertelian.c for details on each function
int init (DEVICE *d);
int clearscreen (DEVICE *d);
int backlight (int state, DEVICE *d);
int writeline (DEVICE *d, char *buf, int col, int row);
int command (unsigned char c, DEVICE *d);
int slowfputs(char *buf, DEVICE *d);

#endif /* PERTELIAN_H */
